Holger's Java API

## com.antelmann.crm
Class AddressInfoImpl

    java.lang.Object
      com.antelmann.crm.AddressInfoImpl

All Implemented Interfaces:
  Addressable, AddressInfo, XMLSerializable, DetailedString, Enabled, Forgeable<AddressInfo>, LifeCycleObject, Serializable

    public class AddressInfoImpl

extends Object
implements AddressInfo, Serializable, Forgeable<AddressInfo>, XMLSerializable

a default implementation for an `AddressInfo`

Since:
  31.12.2014, 16:18:01
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.antelmann.util.Enabled
`FILTER`

Constructor Summary
`AddressInfoImpl()`

Method Summary
`void` `exportXML(OutputStream out)` exports the entire object as XML and writes it to the given Writer, so that the object can be reconstructed with `importXML(InputSource)`.
`GlobalAddress` `getAddress()` always returns a non-null value referring directly to the embedded main Address instance, which provides a way to 'address' the implementing instance
`Date` `getBeginTime()`
`String` `getDescription()` provides a short description like 'work address', 'private home', 'parent's place', 'vacation home', 'birth location', 'college condo' or the alike
`Date` `getEndTime()`
`void` `importXML(InputStream source)` The object is fully reinitialized with the XML data contained in the given ImputSource, so that the object has the same state as it had during export.
`boolean` `isAvailable()`
`boolean` `isEnabled()` determines whether this object is currently enabled
`void` `setAllFrom(AddressInfo ai)` copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.
`void` `setBeginTime(Date beginTime)`
`void` `setDescription(String notes)`
`void` `setEnabled(boolean flag)` allows to enable/disable this instance
`void` `setEndTime(Date endTime)`
`String` `toDetailedString()` provides full details of this instance in a String.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddressInfoImpl

    public AddressInfoImpl()

Method Detail

### getAddress

    public GlobalAddress getAddress()

  Description copied from interface: `Addressable`
  always returns a non-null value referring directly to the embedded main Address instance, which provides a way to 'address' the implementing instance

  Specified by:
    `getAddress` in interface `Addressable`

### getDescription

    public String getDescription()

  Description copied from interface: `AddressInfo`
  provides a short description like 'work address', 'private home', 'parent's place', 'vacation home', 'birth location', 'college condo' or the alike

  Specified by:
    `getDescription` in interface `AddressInfo`

### getBeginTime

    public Date getBeginTime()

  Specified by:
    `getBeginTime` in interface `LifeCycleObject`

### getEndTime

    public Date getEndTime()

  Specified by:
    `getEndTime` in interface `LifeCycleObject`

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Enabled`
  determines whether this object is currently enabled

  Specified by:
    `isEnabled` in interface `Enabled`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toDetailedString

    public String toDetailedString()

  Description copied from interface: `DetailedString`
  provides full details of this instance in a String. In case the String contains multiple lines, it is recommended to use '\n' rather than the platform specific line-break for better compatibility.

  Specified by:
    `toDetailedString` in interface `DetailedString`
  Returns:
    a (potentially multi-line) String providing full details on this object instance

### isAvailable

    public boolean isAvailable()

### setAllFrom

    public void setAllFrom(AddressInfo ai)

  Description copied from interface: `Forgeable`
  copies the properties of the given object and applies them to this instance, so that its behavior in regards to the given object can be matched to the extend that the implementing class supports that behavior.

  Specified by:
    `setAllFrom` in interface `Forgeable<AddressInfo>`
  Parameters:
    `ai` - the object whose behavior is to be copied to this instance

### setEnabled

    public void setEnabled(boolean flag)

  Description copied from interface: `Enabled`
  allows to enable/disable this instance

  Specified by:
    `setEnabled` in interface `Enabled`

### setBeginTime

    public void setBeginTime(Date beginTime)

### setEndTime

    public void setEndTime(Date endTime)

### setDescription

    public void setDescription(String notes)

### exportXML

    public void exportXML(OutputStream out)
                   throws IOException

  Description copied from interface: `XMLSerializable`
  exports the entire object as XML and writes it to the given Writer, so that the object can be reconstructed with `importXML(InputSource)`. The given stream is neither flushed nor closed, so that other data may be effectively written to the InputSource after the method returned.

  Specified by:
    `exportXML` in interface `XMLSerializable`
  Throws:
    `IOException`
  See Also:
    `XMLSerializable.importXML(InputStream)`

### importXML

    public void importXML(InputStream source)
                   throws SAXException,
                          IOException

  Description copied from interface: `XMLSerializable`
  The object is fully reinitialized with the XML data contained in the given ImputSource, so that the object has the same state as it had during export.

  Specified by:
    `importXML` in interface `XMLSerializable`
  Throws:
    `SAXException`
    `IOException`
  See Also:
    `XMLSerializable.exportXML(OutputStream)`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads